import json
import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_freshrss_running(host):
    container = host.run("sudo su - freshrss /bin/sh -c 'podman inspect freshrss'")
    state = json.loads(container.stdout)

    assert state[0]["State"]["Running"] is True


def test_freshrss_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:8080").is_listening


def test_freshrss_conn_error(host):
    code = int(host.run("curl -s -w '%{http_code}' http://127.0.0.1:8080/ -o /dev/null").stdout)
    body = host.run("curl -sX GET http://127.0.0.1:8080/").stdout

    assert code == 200
    assert "FreshRSS" in body
